# org.simpleframework.xml.transform
Date: 2013-02-18

## Package org.simpleframework.xml.transform

Interface Summary
Matcher: The `Matcher` is used to match a type with a transform such that a string value can be read or written as that type.
Transform<T>: A `Transform` represents a an object used to transform an object to and from a string value.

Class Summary
RegistryMatcher: The `RegistryMatcher` provides a simple matcher backed by a registry.
Transformer: The `Transformer` object is used to convert strings to and from object instances.

Exception Summary
InvalidFormatException: The `InvalidFormatException` is thrown when there is a format exception.
TransformException: The `TransformException` is thrown if a problem occurs during the transformation of an object.